Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network64.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
64.0.0.0
Broadcast address
65.255.255.255
First usable
64.0.0.1
Last usable
65.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 40000000 · Integer 1073741824 to 1107296255
Reverse DNS zones
64.in-addr.arpa
65.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000000.00000000.00000000.0000000064.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01000000.00000000.00000000.0000000064.0.0.0
Broadcast01000001.11111111.11111111.1111111165.255.255.255
Split into smaller subnets/16

64.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
164.0.0.0/1664.0.0.1 to 64.0.255.25464.0.255.25565,534
264.1.0.0/1664.1.0.1 to 64.1.255.25464.1.255.25565,534
364.2.0.0/1664.2.0.1 to 64.2.255.25464.2.255.25565,534
464.3.0.0/1664.3.0.1 to 64.3.255.25464.3.255.25565,534
564.4.0.0/1664.4.0.1 to 64.4.255.25464.4.255.25565,534
664.5.0.0/1664.5.0.1 to 64.5.255.25464.5.255.25565,534
764.6.0.0/1664.6.0.1 to 64.6.255.25464.6.255.25565,534
864.7.0.0/1664.7.0.1 to 64.7.255.25464.7.255.25565,534
964.8.0.0/1664.8.0.1 to 64.8.255.25464.8.255.25565,534
1064.9.0.0/1664.9.0.1 to 64.9.255.25464.9.255.25565,534
1164.10.0.0/1664.10.0.1 to 64.10.255.25464.10.255.25565,534
1264.11.0.0/1664.11.0.1 to 64.11.255.25464.11.255.25565,534
1364.12.0.0/1664.12.0.1 to 64.12.255.25464.12.255.25565,534
1464.13.0.0/1664.13.0.1 to 64.13.255.25464.13.255.25565,534
1564.14.0.0/1664.14.0.1 to 64.14.255.25464.14.255.25565,534
1664.15.0.0/1664.15.0.1 to 64.15.255.25464.15.255.25565,534
1764.16.0.0/1664.16.0.1 to 64.16.255.25464.16.255.25565,534
1864.17.0.0/1664.17.0.1 to 64.17.255.25464.17.255.25565,534
1964.18.0.0/1664.18.0.1 to 64.18.255.25464.18.255.25565,534
2064.19.0.0/1664.19.0.1 to 64.19.255.25464.19.255.25565,534
2164.20.0.0/1664.20.0.1 to 64.20.255.25464.20.255.25565,534
2264.21.0.0/1664.21.0.1 to 64.21.255.25464.21.255.25565,534
2364.22.0.0/1664.22.0.1 to 64.22.255.25464.22.255.25565,534
2464.23.0.0/1664.23.0.1 to 64.23.255.25464.23.255.25565,534
2564.24.0.0/1664.24.0.1 to 64.24.255.25464.24.255.25565,534
2664.25.0.0/1664.25.0.1 to 64.25.255.25464.25.255.25565,534
2764.26.0.0/1664.26.0.1 to 64.26.255.25464.26.255.25565,534
2864.27.0.0/1664.27.0.1 to 64.27.255.25464.27.255.25565,534
2964.28.0.0/1664.28.0.1 to 64.28.255.25464.28.255.25565,534
3064.29.0.0/1664.29.0.1 to 64.29.255.25464.29.255.25565,534
3164.30.0.0/1664.30.0.1 to 64.30.255.25464.30.255.25565,534
3264.31.0.0/1664.31.0.1 to 64.31.255.25464.31.255.25565,534
3364.32.0.0/1664.32.0.1 to 64.32.255.25464.32.255.25565,534
3464.33.0.0/1664.33.0.1 to 64.33.255.25464.33.255.25565,534
3564.34.0.0/1664.34.0.1 to 64.34.255.25464.34.255.25565,534
3664.35.0.0/1664.35.0.1 to 64.35.255.25464.35.255.25565,534
3764.36.0.0/1664.36.0.1 to 64.36.255.25464.36.255.25565,534
3864.37.0.0/1664.37.0.1 to 64.37.255.25464.37.255.25565,534
3964.38.0.0/1664.38.0.1 to 64.38.255.25464.38.255.25565,534
4064.39.0.0/1664.39.0.1 to 64.39.255.25464.39.255.25565,534
4164.40.0.0/1664.40.0.1 to 64.40.255.25464.40.255.25565,534
4264.41.0.0/1664.41.0.1 to 64.41.255.25464.41.255.25565,534
4364.42.0.0/1664.42.0.1 to 64.42.255.25464.42.255.25565,534
4464.43.0.0/1664.43.0.1 to 64.43.255.25464.43.255.25565,534
4564.44.0.0/1664.44.0.1 to 64.44.255.25464.44.255.25565,534
4664.45.0.0/1664.45.0.1 to 64.45.255.25464.45.255.25565,534
4764.46.0.0/1664.46.0.1 to 64.46.255.25464.46.255.25565,534
4864.47.0.0/1664.47.0.1 to 64.47.255.25464.47.255.25565,534
4964.48.0.0/1664.48.0.1 to 64.48.255.25464.48.255.25565,534
5064.49.0.0/1664.49.0.1 to 64.49.255.25464.49.255.25565,534
5164.50.0.0/1664.50.0.1 to 64.50.255.25464.50.255.25565,534
5264.51.0.0/1664.51.0.1 to 64.51.255.25464.51.255.25565,534
5364.52.0.0/1664.52.0.1 to 64.52.255.25464.52.255.25565,534
5464.53.0.0/1664.53.0.1 to 64.53.255.25464.53.255.25565,534
5564.54.0.0/1664.54.0.1 to 64.54.255.25464.54.255.25565,534
5664.55.0.0/1664.55.0.1 to 64.55.255.25464.55.255.25565,534
5764.56.0.0/1664.56.0.1 to 64.56.255.25464.56.255.25565,534
5864.57.0.0/1664.57.0.1 to 64.57.255.25464.57.255.25565,534
5964.58.0.0/1664.58.0.1 to 64.58.255.25464.58.255.25565,534
6064.59.0.0/1664.59.0.1 to 64.59.255.25464.59.255.25565,534
6164.60.0.0/1664.60.0.1 to 64.60.255.25464.60.255.25565,534
6264.61.0.0/1664.61.0.1 to 64.61.255.25464.61.255.25565,534
6364.62.0.0/1664.62.0.1 to 64.62.255.25464.62.255.25565,534
6464.63.0.0/1664.63.0.1 to 64.63.255.25464.63.255.25565,534
6564.64.0.0/1664.64.0.1 to 64.64.255.25464.64.255.25565,534
6664.65.0.0/1664.65.0.1 to 64.65.255.25464.65.255.25565,534
6764.66.0.0/1664.66.0.1 to 64.66.255.25464.66.255.25565,534
6864.67.0.0/1664.67.0.1 to 64.67.255.25464.67.255.25565,534
6964.68.0.0/1664.68.0.1 to 64.68.255.25464.68.255.25565,534
7064.69.0.0/1664.69.0.1 to 64.69.255.25464.69.255.25565,534
7164.70.0.0/1664.70.0.1 to 64.70.255.25464.70.255.25565,534
7264.71.0.0/1664.71.0.1 to 64.71.255.25464.71.255.25565,534
7364.72.0.0/1664.72.0.1 to 64.72.255.25464.72.255.25565,534
7464.73.0.0/1664.73.0.1 to 64.73.255.25464.73.255.25565,534
7564.74.0.0/1664.74.0.1 to 64.74.255.25464.74.255.25565,534
7664.75.0.0/1664.75.0.1 to 64.75.255.25464.75.255.25565,534
7764.76.0.0/1664.76.0.1 to 64.76.255.25464.76.255.25565,534
7864.77.0.0/1664.77.0.1 to 64.77.255.25464.77.255.25565,534
7964.78.0.0/1664.78.0.1 to 64.78.255.25464.78.255.25565,534
8064.79.0.0/1664.79.0.1 to 64.79.255.25464.79.255.25565,534
8164.80.0.0/1664.80.0.1 to 64.80.255.25464.80.255.25565,534
8264.81.0.0/1664.81.0.1 to 64.81.255.25464.81.255.25565,534
8364.82.0.0/1664.82.0.1 to 64.82.255.25464.82.255.25565,534
8464.83.0.0/1664.83.0.1 to 64.83.255.25464.83.255.25565,534
8564.84.0.0/1664.84.0.1 to 64.84.255.25464.84.255.25565,534
8664.85.0.0/1664.85.0.1 to 64.85.255.25464.85.255.25565,534
8764.86.0.0/1664.86.0.1 to 64.86.255.25464.86.255.25565,534
8864.87.0.0/1664.87.0.1 to 64.87.255.25464.87.255.25565,534
8964.88.0.0/1664.88.0.1 to 64.88.255.25464.88.255.25565,534
9064.89.0.0/1664.89.0.1 to 64.89.255.25464.89.255.25565,534
9164.90.0.0/1664.90.0.1 to 64.90.255.25464.90.255.25565,534
9264.91.0.0/1664.91.0.1 to 64.91.255.25464.91.255.25565,534
9364.92.0.0/1664.92.0.1 to 64.92.255.25464.92.255.25565,534
9464.93.0.0/1664.93.0.1 to 64.93.255.25464.93.255.25565,534
9564.94.0.0/1664.94.0.1 to 64.94.255.25464.94.255.25565,534
9664.95.0.0/1664.95.0.1 to 64.95.255.25464.95.255.25565,534
9764.96.0.0/1664.96.0.1 to 64.96.255.25464.96.255.25565,534
9864.97.0.0/1664.97.0.1 to 64.97.255.25464.97.255.25565,534
9964.98.0.0/1664.98.0.1 to 64.98.255.25464.98.255.25565,534
10064.99.0.0/1664.99.0.1 to 64.99.255.25464.99.255.25565,534
10164.100.0.0/1664.100.0.1 to 64.100.255.25464.100.255.25565,534
10264.101.0.0/1664.101.0.1 to 64.101.255.25464.101.255.25565,534
10364.102.0.0/1664.102.0.1 to 64.102.255.25464.102.255.25565,534
10464.103.0.0/1664.103.0.1 to 64.103.255.25464.103.255.25565,534
10564.104.0.0/1664.104.0.1 to 64.104.255.25464.104.255.25565,534
10664.105.0.0/1664.105.0.1 to 64.105.255.25464.105.255.25565,534
10764.106.0.0/1664.106.0.1 to 64.106.255.25464.106.255.25565,534
10864.107.0.0/1664.107.0.1 to 64.107.255.25464.107.255.25565,534
10964.108.0.0/1664.108.0.1 to 64.108.255.25464.108.255.25565,534
11064.109.0.0/1664.109.0.1 to 64.109.255.25464.109.255.25565,534
11164.110.0.0/1664.110.0.1 to 64.110.255.25464.110.255.25565,534
11264.111.0.0/1664.111.0.1 to 64.111.255.25464.111.255.25565,534
11364.112.0.0/1664.112.0.1 to 64.112.255.25464.112.255.25565,534
11464.113.0.0/1664.113.0.1 to 64.113.255.25464.113.255.25565,534
11564.114.0.0/1664.114.0.1 to 64.114.255.25464.114.255.25565,534
11664.115.0.0/1664.115.0.1 to 64.115.255.25464.115.255.25565,534
11764.116.0.0/1664.116.0.1 to 64.116.255.25464.116.255.25565,534
11864.117.0.0/1664.117.0.1 to 64.117.255.25464.117.255.25565,534
11964.118.0.0/1664.118.0.1 to 64.118.255.25464.118.255.25565,534
12064.119.0.0/1664.119.0.1 to 64.119.255.25464.119.255.25565,534
12164.120.0.0/1664.120.0.1 to 64.120.255.25464.120.255.25565,534
12264.121.0.0/1664.121.0.1 to 64.121.255.25464.121.255.25565,534
12364.122.0.0/1664.122.0.1 to 64.122.255.25464.122.255.25565,534
12464.123.0.0/1664.123.0.1 to 64.123.255.25464.123.255.25565,534
12564.124.0.0/1664.124.0.1 to 64.124.255.25464.124.255.25565,534
12664.125.0.0/1664.125.0.1 to 64.125.255.25464.125.255.25565,534
12764.126.0.0/1664.126.0.1 to 64.126.255.25464.126.255.25565,534
12864.127.0.0/1664.127.0.1 to 64.127.255.25464.127.255.25565,534
12964.128.0.0/1664.128.0.1 to 64.128.255.25464.128.255.25565,534
13064.129.0.0/1664.129.0.1 to 64.129.255.25464.129.255.25565,534
13164.130.0.0/1664.130.0.1 to 64.130.255.25464.130.255.25565,534
13264.131.0.0/1664.131.0.1 to 64.131.255.25464.131.255.25565,534
13364.132.0.0/1664.132.0.1 to 64.132.255.25464.132.255.25565,534
13464.133.0.0/1664.133.0.1 to 64.133.255.25464.133.255.25565,534
13564.134.0.0/1664.134.0.1 to 64.134.255.25464.134.255.25565,534
13664.135.0.0/1664.135.0.1 to 64.135.255.25464.135.255.25565,534
13764.136.0.0/1664.136.0.1 to 64.136.255.25464.136.255.25565,534
13864.137.0.0/1664.137.0.1 to 64.137.255.25464.137.255.25565,534
13964.138.0.0/1664.138.0.1 to 64.138.255.25464.138.255.25565,534
14064.139.0.0/1664.139.0.1 to 64.139.255.25464.139.255.25565,534
14164.140.0.0/1664.140.0.1 to 64.140.255.25464.140.255.25565,534
14264.141.0.0/1664.141.0.1 to 64.141.255.25464.141.255.25565,534
14364.142.0.0/1664.142.0.1 to 64.142.255.25464.142.255.25565,534
14464.143.0.0/1664.143.0.1 to 64.143.255.25464.143.255.25565,534
14564.144.0.0/1664.144.0.1 to 64.144.255.25464.144.255.25565,534
14664.145.0.0/1664.145.0.1 to 64.145.255.25464.145.255.25565,534
14764.146.0.0/1664.146.0.1 to 64.146.255.25464.146.255.25565,534
14864.147.0.0/1664.147.0.1 to 64.147.255.25464.147.255.25565,534
14964.148.0.0/1664.148.0.1 to 64.148.255.25464.148.255.25565,534
15064.149.0.0/1664.149.0.1 to 64.149.255.25464.149.255.25565,534
15164.150.0.0/1664.150.0.1 to 64.150.255.25464.150.255.25565,534
15264.151.0.0/1664.151.0.1 to 64.151.255.25464.151.255.25565,534
15364.152.0.0/1664.152.0.1 to 64.152.255.25464.152.255.25565,534
15464.153.0.0/1664.153.0.1 to 64.153.255.25464.153.255.25565,534
15564.154.0.0/1664.154.0.1 to 64.154.255.25464.154.255.25565,534
15664.155.0.0/1664.155.0.1 to 64.155.255.25464.155.255.25565,534
15764.156.0.0/1664.156.0.1 to 64.156.255.25464.156.255.25565,534
15864.157.0.0/1664.157.0.1 to 64.157.255.25464.157.255.25565,534
15964.158.0.0/1664.158.0.1 to 64.158.255.25464.158.255.25565,534
16064.159.0.0/1664.159.0.1 to 64.159.255.25464.159.255.25565,534
16164.160.0.0/1664.160.0.1 to 64.160.255.25464.160.255.25565,534
16264.161.0.0/1664.161.0.1 to 64.161.255.25464.161.255.25565,534
16364.162.0.0/1664.162.0.1 to 64.162.255.25464.162.255.25565,534
16464.163.0.0/1664.163.0.1 to 64.163.255.25464.163.255.25565,534
16564.164.0.0/1664.164.0.1 to 64.164.255.25464.164.255.25565,534
16664.165.0.0/1664.165.0.1 to 64.165.255.25464.165.255.25565,534
16764.166.0.0/1664.166.0.1 to 64.166.255.25464.166.255.25565,534
16864.167.0.0/1664.167.0.1 to 64.167.255.25464.167.255.25565,534
16964.168.0.0/1664.168.0.1 to 64.168.255.25464.168.255.25565,534
17064.169.0.0/1664.169.0.1 to 64.169.255.25464.169.255.25565,534
17164.170.0.0/1664.170.0.1 to 64.170.255.25464.170.255.25565,534
17264.171.0.0/1664.171.0.1 to 64.171.255.25464.171.255.25565,534
17364.172.0.0/1664.172.0.1 to 64.172.255.25464.172.255.25565,534
17464.173.0.0/1664.173.0.1 to 64.173.255.25464.173.255.25565,534
17564.174.0.0/1664.174.0.1 to 64.174.255.25464.174.255.25565,534
17664.175.0.0/1664.175.0.1 to 64.175.255.25464.175.255.25565,534
17764.176.0.0/1664.176.0.1 to 64.176.255.25464.176.255.25565,534
17864.177.0.0/1664.177.0.1 to 64.177.255.25464.177.255.25565,534
17964.178.0.0/1664.178.0.1 to 64.178.255.25464.178.255.25565,534
18064.179.0.0/1664.179.0.1 to 64.179.255.25464.179.255.25565,534
18164.180.0.0/1664.180.0.1 to 64.180.255.25464.180.255.25565,534
18264.181.0.0/1664.181.0.1 to 64.181.255.25464.181.255.25565,534
18364.182.0.0/1664.182.0.1 to 64.182.255.25464.182.255.25565,534
18464.183.0.0/1664.183.0.1 to 64.183.255.25464.183.255.25565,534
18564.184.0.0/1664.184.0.1 to 64.184.255.25464.184.255.25565,534
18664.185.0.0/1664.185.0.1 to 64.185.255.25464.185.255.25565,534
18764.186.0.0/1664.186.0.1 to 64.186.255.25464.186.255.25565,534
18864.187.0.0/1664.187.0.1 to 64.187.255.25464.187.255.25565,534
18964.188.0.0/1664.188.0.1 to 64.188.255.25464.188.255.25565,534
19064.189.0.0/1664.189.0.1 to 64.189.255.25464.189.255.25565,534
19164.190.0.0/1664.190.0.1 to 64.190.255.25464.190.255.25565,534
19264.191.0.0/1664.191.0.1 to 64.191.255.25464.191.255.25565,534
19364.192.0.0/1664.192.0.1 to 64.192.255.25464.192.255.25565,534
19464.193.0.0/1664.193.0.1 to 64.193.255.25464.193.255.25565,534
19564.194.0.0/1664.194.0.1 to 64.194.255.25464.194.255.25565,534
19664.195.0.0/1664.195.0.1 to 64.195.255.25464.195.255.25565,534
19764.196.0.0/1664.196.0.1 to 64.196.255.25464.196.255.25565,534
19864.197.0.0/1664.197.0.1 to 64.197.255.25464.197.255.25565,534
19964.198.0.0/1664.198.0.1 to 64.198.255.25464.198.255.25565,534
20064.199.0.0/1664.199.0.1 to 64.199.255.25464.199.255.25565,534
20164.200.0.0/1664.200.0.1 to 64.200.255.25464.200.255.25565,534
20264.201.0.0/1664.201.0.1 to 64.201.255.25464.201.255.25565,534
20364.202.0.0/1664.202.0.1 to 64.202.255.25464.202.255.25565,534
20464.203.0.0/1664.203.0.1 to 64.203.255.25464.203.255.25565,534
20564.204.0.0/1664.204.0.1 to 64.204.255.25464.204.255.25565,534
20664.205.0.0/1664.205.0.1 to 64.205.255.25464.205.255.25565,534
20764.206.0.0/1664.206.0.1 to 64.206.255.25464.206.255.25565,534
20864.207.0.0/1664.207.0.1 to 64.207.255.25464.207.255.25565,534
20964.208.0.0/1664.208.0.1 to 64.208.255.25464.208.255.25565,534
21064.209.0.0/1664.209.0.1 to 64.209.255.25464.209.255.25565,534
21164.210.0.0/1664.210.0.1 to 64.210.255.25464.210.255.25565,534
21264.211.0.0/1664.211.0.1 to 64.211.255.25464.211.255.25565,534
21364.212.0.0/1664.212.0.1 to 64.212.255.25464.212.255.25565,534
21464.213.0.0/1664.213.0.1 to 64.213.255.25464.213.255.25565,534
21564.214.0.0/1664.214.0.1 to 64.214.255.25464.214.255.25565,534
21664.215.0.0/1664.215.0.1 to 64.215.255.25464.215.255.25565,534
21764.216.0.0/1664.216.0.1 to 64.216.255.25464.216.255.25565,534
21864.217.0.0/1664.217.0.1 to 64.217.255.25464.217.255.25565,534
21964.218.0.0/1664.218.0.1 to 64.218.255.25464.218.255.25565,534
22064.219.0.0/1664.219.0.1 to 64.219.255.25464.219.255.25565,534
22164.220.0.0/1664.220.0.1 to 64.220.255.25464.220.255.25565,534
22264.221.0.0/1664.221.0.1 to 64.221.255.25464.221.255.25565,534
22364.222.0.0/1664.222.0.1 to 64.222.255.25464.222.255.25565,534
22464.223.0.0/1664.223.0.1 to 64.223.255.25464.223.255.25565,534
22564.224.0.0/1664.224.0.1 to 64.224.255.25464.224.255.25565,534
22664.225.0.0/1664.225.0.1 to 64.225.255.25464.225.255.25565,534
22764.226.0.0/1664.226.0.1 to 64.226.255.25464.226.255.25565,534
22864.227.0.0/1664.227.0.1 to 64.227.255.25464.227.255.25565,534
22964.228.0.0/1664.228.0.1 to 64.228.255.25464.228.255.25565,534
23064.229.0.0/1664.229.0.1 to 64.229.255.25464.229.255.25565,534
23164.230.0.0/1664.230.0.1 to 64.230.255.25464.230.255.25565,534
23264.231.0.0/1664.231.0.1 to 64.231.255.25464.231.255.25565,534
23364.232.0.0/1664.232.0.1 to 64.232.255.25464.232.255.25565,534
23464.233.0.0/1664.233.0.1 to 64.233.255.25464.233.255.25565,534
23564.234.0.0/1664.234.0.1 to 64.234.255.25464.234.255.25565,534
23664.235.0.0/1664.235.0.1 to 64.235.255.25464.235.255.25565,534
23764.236.0.0/1664.236.0.1 to 64.236.255.25464.236.255.25565,534
23864.237.0.0/1664.237.0.1 to 64.237.255.25464.237.255.25565,534
23964.238.0.0/1664.238.0.1 to 64.238.255.25464.238.255.25565,534
24064.239.0.0/1664.239.0.1 to 64.239.255.25464.239.255.25565,534
24164.240.0.0/1664.240.0.1 to 64.240.255.25464.240.255.25565,534
24264.241.0.0/1664.241.0.1 to 64.241.255.25464.241.255.25565,534
24364.242.0.0/1664.242.0.1 to 64.242.255.25464.242.255.25565,534
24464.243.0.0/1664.243.0.1 to 64.243.255.25464.243.255.25565,534
24564.244.0.0/1664.244.0.1 to 64.244.255.25464.244.255.25565,534
24664.245.0.0/1664.245.0.1 to 64.245.255.25464.245.255.25565,534
24764.246.0.0/1664.246.0.1 to 64.246.255.25464.246.255.25565,534
24864.247.0.0/1664.247.0.1 to 64.247.255.25464.247.255.25565,534
24964.248.0.0/1664.248.0.1 to 64.248.255.25464.248.255.25565,534
25064.249.0.0/1664.249.0.1 to 64.249.255.25464.249.255.25565,534
25164.250.0.0/1664.250.0.1 to 64.250.255.25464.250.255.25565,534
25264.251.0.0/1664.251.0.1 to 64.251.255.25464.251.255.25565,534
25364.252.0.0/1664.252.0.1 to 64.252.255.25464.252.255.25565,534
25464.253.0.0/1664.253.0.1 to 64.253.255.25464.253.255.25565,534
25564.254.0.0/1664.254.0.1 to 64.254.255.25464.254.255.25565,534
25664.255.0.0/1664.255.0.1 to 64.255.255.25464.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses